## NMSettingWired

NMSettingWired

## Synopsis

    #define             NM_SETTING_WIRED_SETTING_NAME
    enum                NMSettingWiredError;
    #define             NM_TYPE_SETTING_WIRED_ERROR
    #define             NM_SETTING_WIRED_ERROR
    GQuark              nm_setting_wired_error_quark        (void);
    #define             NM_SETTING_WIRED_PORT
    #define             NM_SETTING_WIRED_SPEED
    #define             NM_SETTING_WIRED_DUPLEX
    #define             NM_SETTING_WIRED_AUTO_NEGOTIATE
    #define             NM_SETTING_WIRED_MAC_ADDRESS
    #define             NM_SETTING_WIRED_MTU
                        NMSettingWired;
    GType               nm_setting_wired_get_type           (void);
    NMSetting*          nm_setting_wired_new                (void);
    const char*         nm_setting_wired_get_port           (NMSettingWired *setting);
    guint32             nm_setting_wired_get_speed          (NMSettingWired *setting);
    const char*         nm_setting_wired_get_duplex         (NMSettingWired *setting);
    gboolean            nm_setting_wired_get_auto_negotiate (NMSettingWired *setting);
    const GByteArray*   nm_setting_wired_get_mac_address    (NMSettingWired *setting);
    guint32             nm_setting_wired_get_mtu            (NMSettingWired *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingWired

## Properties

      "auto-negotiate"           gboolean              : Read / Write / Construct
      "duplex"                   gchararray            : Read / Write
      "mtu"                      guint                 : Read / Write / Construct
      "port"                     gchararray            : Read / Write
      "speed"                    guint                 : Read / Write / Construct

## Description

## Details

### NM_SETTING_WIRED_SETTING_NAME

    #define NM_SETTING_WIRED_SETTING_NAME "802-3-ethernet"

### enum NMSettingWiredError

    typedef enum
    {
    	NM_SETTING_WIRED_ERROR_UNKNOWN = 0,
    	NM_SETTING_WIRED_ERROR_INVALID_PROPERTY,
    	NM_SETTING_WIRED_ERROR_MISSING_PROPERTY
    } NMSettingWiredError;

### NM_TYPE_SETTING_WIRED_ERROR

    #define NM_TYPE_SETTING_WIRED_ERROR (nm_setting_wired_error_get_type ())

### NM_SETTING_WIRED_ERROR

    #define NM_SETTING_WIRED_ERROR nm_setting_wired_error_quark ()

### nm_setting_wired_error_quark ()

    GQuark              nm_setting_wired_error_quark        (void);

Returns : |

### NM_SETTING_WIRED_PORT

    #define NM_SETTING_WIRED_PORT "port"

### NM_SETTING_WIRED_SPEED

    #define NM_SETTING_WIRED_SPEED "speed"

### NM_SETTING_WIRED_DUPLEX

    #define NM_SETTING_WIRED_DUPLEX "duplex"

### NM_SETTING_WIRED_AUTO_NEGOTIATE

    #define NM_SETTING_WIRED_AUTO_NEGOTIATE "auto-negotiate"

### NM_SETTING_WIRED_MAC_ADDRESS

    #define NM_SETTING_WIRED_MAC_ADDRESS "mac-address"

### NM_SETTING_WIRED_MTU

    #define NM_SETTING_WIRED_MTU "mtu"

### NMSettingWired

    typedef struct _NMSettingWired NMSettingWired;

### nm_setting_wired_get_type ()

    GType               nm_setting_wired_get_type           (void);

Returns : |

### nm_setting_wired_new ()

    NMSetting*          nm_setting_wired_new                (void);

Returns : |

### nm_setting_wired_get_port ()

    const char*         nm_setting_wired_get_port           (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_speed ()

    guint32             nm_setting_wired_get_speed          (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_duplex ()

    const char*         nm_setting_wired_get_duplex         (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_auto_negotiate ()

    gboolean            nm_setting_wired_get_auto_negotiate (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_mac_address ()

    const GByteArray*   nm_setting_wired_get_mac_address    (NMSettingWired *setting);

`setting` : |
Returns : |

### nm_setting_wired_get_mtu ()

    guint32             nm_setting_wired_get_mtu            (NMSettingWired *setting);

`setting` : |
Returns : |

## Property Details

### The `"auto-negotiate"` property

      "auto-negotiate"           gboolean              : Read / Write / Construct

Auto negotiate.

Default value: TRUE

### The `"duplex"` property

      "duplex"                   gchararray            : Read / Write

Duplex.

Default value: NULL

### The `"mtu"` property

      "mtu"                      guint                 : Read / Write / Construct

MTU.

Default value: 0

### The `"port"` property

      "port"                     gchararray            : Read / Write

Port type.

Default value: NULL

### The `"speed"` property

      "speed"                    guint                 : Read / Write / Construct

Speed.

Default value: 0